Subject: [alpine-devel] [PATCH 2/2] testing/py-matplotlib: new aport

From: Isaac Dunham <[email-masked]>
Date: Mon, 8 Sep 2014 22:22:29 -0700

A Python library for preparing plots.
---
 testing/py-matplotlib/APKBUILD | 57 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)
 create mode 100644 testing/py-matplotlib/APKBUILD

diff --git a/testing/py-matplotlib/APKBUILD b/testing/py-matplotlib/APKBUILD
new file mode 100644
index 0000000..7f336af
--- /dev/null
+++ b/testing/py-matplotlib/APKBUILD
@@ -0,0 +1,57 @@
+# Contributor: Isaac Dunham <[email-masked]>
+# Maintainer: Isaac Dunham <[email-masked]>
+pkgname=py-matplotlib
+pkgver=1.3.1
+pkgrel=0
+pkgdesc="A Python library for plots"
+url="http://matplotlib.org"
+arch="all"
+license="custom"
+depends="python py-numpy py-tkinter"
+depends_dev=""
+makedepends="$depends python-dev gfortran py-numpy-dev freetype-dev
+	libpng-dev tk-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-tests"
+source="matplotlib-$pkgver.tar.gz::https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/matplotlib-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	install -m755 -d "$pkgdir"/usr/share/licenses/custom/$pkgname
+	install -m644 LICENSE/* "$pkgdir"/usr/share/licenses/custom/$pkgname/
+}
+
+tests() {
+	pkgdesc="Tests for matplotlib"
+	arch="noarch"
+	depends="$depends py-nose"
+	cd "$pkgdir"/usr/lib || return 1
+	export _pysub="`ls`" && test -n "$_pysub" || return 1
+	mkdir -p "$subpkgdir"/usr/lib/"$_pysub"/site-packages/matplotlib \
+	|| return 1
+	mv "$_pysub"/site-packages/matplotlib/tests \
+	"$subpkgdir"/usr/lib/"$_pysub"/site-packages/matplotlib \
+	|| return 1
+
+}
+
+md5sums="d90d1f84140fc924ecb8f8610affd665  matplotlib-1.3.1.tar.gz"
+sha256sums="144125c941f72d900fcd2d1d676bfd47c9043af74ed62b87341dc12a55ec1454  matplotlib-1.3.1.tar.gz"
+sha512sums="f178e61f2133078daec2cd7bc05411a26da36121607a72115a991052dd002c72daaf8a7a60513b861ac50aabf0524db155cd748925abae23e2311a98b704ee2b  matplotlib-1.3.1.tar.gz"
-- 
2.1.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Tue, 9 Sep 2014 09:23:31 +0200

On Mon,  8 Sep 2014 22:22:29 -0700

>  create mode 100644 testing/py-matplotlib/APKBUILD

applied. thanks!

-nc

---